Arguments$getRegularExpression {R.utils} | R Documentation

## Gets a valid regular expression pattern

### Description

Gets a valid regular expression pattern.

### Usage

    ## Static method (use this):
    ## Arguments$getRegularExpression(pattern=NULL, ..., .name=NULL)

    ## Don't use the below:
    ## S3 method for class 'Arguments'
    getRegularExpression(static, pattern=NULL, ..., .name=NULL)

### Arguments

`pattern` | A `character` string to be validated.
`.name` | A `character` string for name used in error messages.
`...` | Not used.

### Value

Returns a `character` string.

### Author(s)

Henrik Bengtsson

### See Also

`grep`(). For more information see `Arguments`.

[Package R.utils version 2.6.0 Index]